/*==============================================================================
 Fractal XDoclet Plugin - Copyright (C) 2002-2006 INRIA Futurs / LIFL
 Fractal Component Model (contact: fractal@objectweb.org)

 This library is free software; you can redistribute it and/or modify it under 
 the terms of the GNU Lesser General Public License as published by the Free 
 Software Foundation; either version 2.1 of the License, or any later version.

 This library is distributed in the hope that it will be useful, but WITHOUT ANY 
 WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License along 
 with this library; if not, write to the Free Software Foundation, Inc., 
 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

 Initial developer(s): Romain Rouvoy (romain.rouvoy@lifl.fr)
 Contributor(s): .
 --------------------------------------------------------------------------------
 $Id: AttributeTag.java,v 1.1 2006/08/30 15:18:21 rouvoy Exp $
 ==============================================================================*/

package org.objectweb.fractal.fraclet.doclets;

import com.thoughtworks.qdox.model.DocletTag;

/**
 * Field annotation describing a Fractal attribute.
 * @author <a href="mailto:Romain.Rouvoy@lifl.fr">Romain Rouvoy</a>
 * @version $Revision: 1.1 $
 * @qtags.location field
 * @qtags.once
 */
public interface AttributeTag extends DocletTag {
    /**
     * Provides the name of the Fractal attribute. The default name is the short
     * name of the field.
     * 
     * @return the identifier of the attribute.
     */
    String getName_();

    /**
     * Provides the default value of the Fractal attribute.
     * 
     * @return the value of the attribute if no property is defined.
     */
    String getValue_();

    /**
     * Provides the name of the property exported with the component.
     * 
     * @return the name of the associated property when no value is defined.
     */
    String getProperty();
}
